geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joe Bohn <joe.b...@earthlink.net>
Subject Re: Cannot install any Geronimo Sample apps
Date Mon, 24 Nov 2008 15:01:39 GMT
Hi German,

Can you clarify which Geronimo server you are using?  Is it Geronimo 2.1 
downloaded binaries, a local build of our svn branch for 2.1 (which 
would be 2.1.4-SNAPSHOT), or something else (such as 2.1.1, 2.1.2, or 
2.1.3)?

I recommend that you use Geronimo 2.1.2, 2.1.3, or 2.1.4-SNAPSHOT since 
our 2.1.2 Samples will only work with those versions at this point in time.

HTH,
Joe


German Munoz wrote:
> Hi, I'm new to Geronimo, and I want to test out some sample apps, but so 
> far I have not been able to install any using several methods. I'm using 
> Geronimo 2.1 with jetty 6  (should I use Geronimo 2.2?). I am running 
> Windows Vista SP1 (long story...).
> 
> *First, through admin console > Plugins:
> In left nav, click on Plugins. I see these two repositories:
> http://geronimo.apache.org/plugins/geronimo-2.1/
> file:/C:/Users/Administrator/.m2/repository/
> Smaples oly show up in "file/C:" repository (I downloaded source code 
> and built using maven).
> I cannot install plugins from here, I get an error after clicking ot 
> Install plugin. Browser "cannot Open the Internet site" (URL is: 
> http://localhost:8080/console/portal//Applications/Plugins/__rp0x3plugin0x2ImportExport!1639862964%7C0_configIds/org0x2apache0x2geronimo0x2samples0x3customer-jetty0x320x210x220x3car/__rp0x3plugin0x2ImportExport!1639862964%7C0_downloadKey/4/__rp0x3plugin0x2ImportExport!1639862964%7C0_mode/downloadStatus/__rp0x3plugin0x2ImportExport!1639862964%7C0_repository/file:0x3C:0x3Users0x3German0x30x2m20x3repository0x3)
> 
> 
> *First, through admin console > Deploy new:
> I build one of the Samples, then I browse to the Plan.xml in the 
> corresponding directory 
> (gsamples-2.1.2\samples\sample-datasource\target\resources\META-INF).
> This gives me an error of: "Cannot deploy the requested application 
> module because no deployer is able to handle it. This can happen if you 
> have omitted the J2EE deployment descriptor, disabled a deployer module, 
> or if, for example, you are trying to deploy an EJB module on a minimal 
> Geronimo server that does not have EJB support installed. 
> (planFile=C:\g2\geronimo-jetty6-javaee5-2.1\var\temp\plan.xml) "
> I'm pretty sure I have EJB module, and all the Delpoyer modules seem to 
> be running, for liek Calculator sample  (J2EE, Jetty, etc, etc... 
> everything in the dependencies section of the plan.xml).
> 
> I cannot even install the sample-datasource plugin.
> 
> *Third, through GShell:
> Using gsh deploy/deploy, I get an error when choosing a Sample to 
> install, it throws an error stating that it cannot load a dependency.
> 
> 
> I've tried looking online and in the archives, but no solution seems to 
> work for me. Since none of the samples seem to install correclty, I feel 
> this is a server confg issue. Any help would be greatly appreciated. Thanks!
> 
> -German
> 
> 
> 
> 
> 
> *****************************
> Germán Muñoz
> Messenger: cuatez@hotmail.com


Mime
View raw message